public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "James Le Cuirot" <chewi@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-emulation/gallium-nine-standalone/
Date: Sat, 28 Dec 2024 22:52:37 +0000 (UTC)	[thread overview]
Message-ID: <1735426320.fe5cd60b83061b6f010edff5ad2aed32d8067e49.chewi@gentoo> (raw)

commit:     fe5cd60b83061b6f010edff5ad2aed32d8067e49
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 28 22:47:31 2024 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Sat Dec 28 22:52:00 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fe5cd60b

app-emulation/gallium-nine-standalone: Version bump to 0.10

Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 app-emulation/gallium-nine-standalone/Manifest     |  1 +
 .../gallium-nine-standalone-0.10.ebuild            | 90 ++++++++++++++++++++++
 2 files changed, 91 insertions(+)

diff --git a/app-emulation/gallium-nine-standalone/Manifest b/app-emulation/gallium-nine-standalone/Manifest
index 90d5abcd33ea..19d2d1a09c40 100644
--- a/app-emulation/gallium-nine-standalone/Manifest
+++ b/app-emulation/gallium-nine-standalone/Manifest
@@ -1,2 +1,3 @@
+DIST gallium-nine-standalone-0.10.tar.gz 67966 BLAKE2B ef93642d518add1d35852e1899c7dcdb7b8b8140dc0bbe178d29f5d2a0c8414fb538862caf8cd26a8d84835bb71a457cdaece05c2c8b32bd572cb02de3b56e35 SHA512 d8268f3195ae72a58d93e790206670d28e7081c4c897ab60edb6c9d745e5069c834afb7f4c866916255122c3b5cf830a202af05fdd3a4430271c4508e79d03a6
 DIST gallium-nine-standalone-0.8.tar.gz 66656 BLAKE2B 5eaebcc514570dbaff44c4c889025d19a26c0b54941d1ab99ec131216a6eb49c2c649f1a4df51534f608653dab8b5e55a35afc57ba04a0ab6f4dea0edabac55c SHA512 3f339f909c6d65a2e5b5c912785aaa6f297e95549c868ab679dfb8e99d67db9906b6e75e3679a4e3e003f512a54ceb9953f941a4129f488973c16e1a3ac7267c
 DIST gallium-nine-standalone-0.9.tar.gz 67687 BLAKE2B 24e4250cacde3306cdfa8d9b24fa2fa0eb7dee4e5722973baa59f25999a75e689acad4c24c8bbfbc34aaddc24bdfe1977ff2f85da08a81b4ce6b222d5d0bfae0 SHA512 1ed384563736ab5db4167ca28163c93e58e9ff7ee62656d4adea8bc937484aebce3ed06f4600a080ad61fcfedd12febb3db9430be6cc8dd97484982694fde3a7

diff --git a/app-emulation/gallium-nine-standalone/gallium-nine-standalone-0.10.ebuild b/app-emulation/gallium-nine-standalone/gallium-nine-standalone-0.10.ebuild
new file mode 100644
index 000000000000..c34f0b868b29
--- /dev/null
+++ b/app-emulation/gallium-nine-standalone/gallium-nine-standalone-0.10.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit meson-multilib toolchain-funcs
+
+MY_PN="wine-nine-standalone"
+DESCRIPTION="A standalone version of the WINE parts of Gallium Nine"
+HOMEPAGE="https://github.com/iXit/wine-nine-standalone"
+
+if [[ ${PV} = 9999* ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/iXit/${MY_PN}.git"
+else
+	SRC_URI="https://github.com/iXit/${MY_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+	S="${WORKDIR}/${MY_PN}-${PV}"
+	KEYWORDS="-* ~amd64 ~x86"
+fi
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+
+# We don't put Wine in RDEPEND because you can also use this with
+# Steam's Proton.
+
+RDEPEND="
+	media-libs/mesa[d3d9,X(+),${MULTILIB_USEDEP}]
+	x11-libs/libX11[${MULTILIB_USEDEP}]
+	x11-libs/libxcb[${MULTILIB_USEDEP}]
+"
+
+DEPEND="
+	${RDEPEND}
+	virtual/wine[${MULTILIB_USEDEP}]
+"
+
+BDEPEND="
+	dev-build/meson-format-array
+	virtual/pkgconfig
+"
+
+PATCHES=(
+	"${FILESDIR}"/0.8-cross-files.patch
+	"${FILESDIR}"/0.9-nine-dll-path.patch
+)
+
+bits() {
+	if [[ ${ABI} = amd64 ]]; then
+		echo 64
+	else
+		echo 32
+	fi
+}
+
+src_prepare() {
+	default
+
+	# Upstream includes a bootstrap.sh script with hardcoded CHOSTs to
+	# create the Meson cross files. We improve on that here but also
+	# inject CFLAGS and LDFLAGS, partly to simply respect these, and
+	# partly to allow d3d9-nine.dll to be loaded from a location outside
+	# WINEPREFIX. This avoids the need for the nine-install.sh script,
+	# which doesn't play well with our multi-Wine environment.
+	bootstrap_nine() {
+		local file=tools/cross-wine$(bits)
+		local g9dll=\"z:${EPREFIX}/usr/$(get_libdir)/d3d9-nine.dll.so\"
+
+		sed \
+			-e "s!@PKG_CONFIG@!$(tc-getPKG_CONFIG)!" \
+			-e "s!@CFLAGS@!$(meson-format-array "${CFLAGS} '-DG9DLL=${g9dll}'")!" \
+			-e "s!@LDFLAGS@!$(meson-format-array "${LDFLAGS}")!" \
+			-e "s!@PKG_CONFIG_LIBDIR@!${PKG_CONFIG_LIBDIR:-${ESYSROOT}/usr/$(get_libdir)/pkgconfig}!" \
+			${file}.in > ${file} || die
+	}
+
+	multilib_foreach_abi bootstrap_nine
+}
+
+multilib_src_configure() {
+	# We override bindir because otherwise the 32-bit exe is overwritten
+	# by the 64-bit exe and we need both of them.
+	local emesonargs=(
+		--cross-file "${S}/tools/cross-wine$(bits)"
+		--bindir "$(get_libdir)"
+		-Ddistro-independent=false
+		-Ddri2=false
+	)
+	meson_src_configure
+}


             reply	other threads:[~2024-12-28 22:52 UTC|newest]

Thread overview: 7+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-12-28 22:52 James Le Cuirot [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-12-28 22:52 [gentoo-commits] repo/gentoo:master commit in: app-emulation/gallium-nine-standalone/ James Le Cuirot
2024-02-13 22:23 James Le Cuirot
2023-10-29 23:00 James Le Cuirot
2021-07-21 22:33 Matt Turner
2020-08-22 20:03 James Le Cuirot
2019-05-01 20:08 James Le Cuirot

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1735426320.fe5cd60b83061b6f010edff5ad2aed32d8067e49.chewi@gentoo \
    --to=chewi@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox